Host V Motion System Get Net Config
VMotion network configuration.
VMotion network configuration.
Request
URI
GET
https://{vcenter-host}/sdk/vim25/{release}/HostVMotionSystem/{moId}/netConfig
COPY
Path Parameters
string
moId
Required
The unique identifier for the managed object to which the property attaches; the serialized managed object reference for a request has the form moType/moId, in this case HostVMotionSystem/{moId}.
string
release
Required
The vSphere release schema. The current specification covers vSphere 9.1.0.0 APIs.
Responses
200
OK
{
"_typeName": "string",
"candidateVnic": [
{
"_typeName": "string",
"device": "string",
"key": "string",
"portgroup": "string",
"spec": {
"_typeName": "string",
"dynamicProperty": [
{
"_typeName": "string",
"name": "string",
"val": {
"_typeName": "string"
}
}
],
"ip": {
"_typeName": "string",
"dhcp": false,
"ipAddress": "string",
"subnetMask": "string",
"ipV6Config": {
"_typeName": "string",
"ipV6Address": [
{
"_typeName": "string",
"ipAddress": "string",
"prefixLength": 0,
"origin": "string",
"dadState": "string",
"lifetime": "string",
"operation": "string"
}
],
"autoConfigurationEnabled": false,
"dhcpV6Enabled": false
}
},
"mac": "string",
"distributedVirtualPort": {
"_typeName": "string",
"switchUuid": "string",
"portgroupKey": "string",
"portKey": "string",
"connectionCookie": 0
},
"portgroup": "string",
"mtu": 0,
"tsoEnabled": false,
"netStackInstanceKey": "string",
"opaqueNetwork": {
"_typeName": "string",
"opaqueNetworkId": "string",
"opaqueNetworkType": "string"
},
"externalId": "string",
"pinnedPnic": "string",
"ipRouteSpec": {
"_typeName": "string",
"ipRouteConfig": {
"_typeName": "string",
"defaultGateway": "string",
"gatewayDevice": "string",
"ipV6DefaultGateway": "string",
"ipV6GatewayDevice": "string"
}
},
"systemOwned": false,
"dpuId": "string"
},
"port": "string",
"owner": "string"
}
],
"selectedVnic": "string"
}
Code Samples
COPY
curl -H 'Authorization: <value>' https://{api_host}/sdk/vim25/{release}/HostVMotionSystem/{moId}/netConfig
Virtual Infrastructure Operations
POST
Host V Motion System Deselect Vnic
POST
Host V Motion System Select Vnic
POST
Host V Motion System Set Custom Value
POST
Host V Motion System Update Ip Config
GET
Host V Motion System Get Available Field
GET
Host V Motion System Get Ip Config
GET
Host V Motion System Get Net Config
GET
Host V Motion System Get Value